# std::multimap<Key,T,Compare,Allocator>::value_comp

From cppreference.com
< cpp‎ | container‎ | multimap

std::multimap::value_compare value_comp() const; |  |

Returns a function object that compares objects of type std::multimap::value_type (key-value pairs) by using key_comp to compare the first components of the pairs.

### Parameters

(none)

### Return value

The value comparison function object.

### Complexity

Constant.

### See also

key_comp | returns the function that compares keys (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multimap/value_comp&oldid=50597"